package com.ssj.service.conch.parents.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class TodayTaskDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private boolean finishFlag = false;
    private List<SubjectTaskDto> subjectTaskList;
    private HistoryTaskDto sujectTaskObject;

    public TodayTaskDto (){
        subjectTaskList = new ArrayList<>();
    }

    public boolean isFinishFlag() {
        return finishFlag;
    }

    public void setFinishFlag(boolean finishFlag) {
        this.finishFlag = finishFlag;
    }

    public List<SubjectTaskDto> getSubjectTaskList() {
        return subjectTaskList;
    }

    public void setSubjectTaskList(List<SubjectTaskDto> subjectTaskList) {
        this.subjectTaskList = subjectTaskList;
    }
    public void addSubjectTask (SubjectTaskDto subjectTask){
        this.subjectTaskList.add(subjectTask);
    }

    public HistoryTaskDto getSujectTaskObject() {
        return sujectTaskObject;
    }

    public void setSujectTaskObject(HistoryTaskDto sujectTaskObject) {
        this.sujectTaskObject = sujectTaskObject;
    }
}
